Interpreter messages apt-get


#1

Rien de grave, mais j’aimerai comprendre …
J’essai d’utiliser apt-get plutôt que dselect, suite aux conseils emis dans ce forum.

Lors d’une procédure de mise à jour j’ai effectué :
apt-get update
apt-get dist-upgrade

J’ai obtenu un message m’indiquant de nombreux paquets à mettre à jour, d’autres conservés et ceux-ci devant être supprimés :
axiom axiom-test giac libcln3 libginac 1.3 libgnp3 maxima maxima-emacs maxima-share

Je n’ai pas validé, car en général j’hésite à désinstaller des paquets.

J’ai fait : apt-get upgrade et cette fois je n’ai pas eu de paquets désinstallés.

J’ai refait apt-get update au cas ou …

Puis apt-get dist-upgrade, et j’ai eu le message suivant :
Les paquets suivants ont été conservés :
autogen ginac-tools libcln-dev libfam-dev libgconfmm-2.6-dev libginac-dev libglademm-2.4-dev libglibmm-2.4-dev libgmp3-dev
libgnome-vfsmm-2.6-dev libgtkmm-2.4-dev libsigc+±2.0-dev libxml++1.0-dev libxml++2.6-dev pgadmin3 pgadmin3-data pi x-window-system-core
0 mis à jour, 0 nouvellement installés, 0 à enlever et 18 non mis à jour.

  1. Ma procédure est elle correcte ?
  2. Quel peut être la cause de ce status des paquets “18 non mis à jour”
  3. Pourquoi les paquets devant être initialement supprimès ne le sont plus ?

Cordialement
P. C.


#2

Je suis allé relire le message de Echo et j’ai refait :
apt-get clean
apt-get update
apt-get upgrade

rien à signaler (toujours mes 18 non mis à jour).

J’ai poursuivi par un “apt-get dist-upgrade” et là de nouveaux messages :
Les paquets suivants seront ENLEVÉS :
axiom axiom-test giac libcln3 libginac1.3 libgmp3 maxima maxima-emacs maxima-share
Les NOUVEAUX paquets suivants seront installés :
libcln3c2 libginac1.3c2 libgmp3c2 libgmpxx3 libwxgtk2.6-0
Les paquets suivants ont été conservés :
autogen libfam-dev libgconfmm-2.6-dev libglademm-2.4-dev libglibmm-2.4-dev libgnome-vfsmm-2.6-dev libgtkmm-2.4-dev libsigc+±2.0-dev
libxml++1.0-dev libxml++2.6-dev x-window-system-core

Je ne valide pas encore, car je voudrais être sur de ne pas perdre de fonctionnalités.

Comment savoir, si les fonctions assurées par les paquets supprimées seront prise en charge par les nouveaux paquets quand les noms sont différents ?

P.C.


#3

il n’y a pas de manière “à priori” mais ce qui est sur, c’est que si tu ne sais pas ce que font ces paquets là, ce n’est pas grave si ton systeme te propose de les enlever (il ne peut rien casser).
Par contre, as tu essayé aussi un ‘apt-get dselect-upgrade’ ?